/*
 * Copyright (c) 2022 NetEase, Inc. All rights reserved.
 * Use of this source code is governed by a MIT license that can be
 * found in the LICENSE file.
 */

package com.netease.yunxin.flutter.roomkit.sampleapp

import android.app.Application
import com.netease.nimlib.sdk.NIMClient
import com.netease.nimlib.sdk.SDKOptions

class App : Application() {

    override fun onCreate() {
        super.onCreate()
        NIMClient.config(this, null, SDKOptions().apply { disableAwake = true })
    }
}
