// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

@HawkEntryPoint()
abstract class NERoomLiveController extends NERoomBaseController {
  Future<NEResult<NERoomLiveInfo?>> startLive(NERoomLiveRequest request);

  Future<VoidResult> stopLive();

  Future<NEResult<NERoomLiveInfo?>> updateLive(NERoomLiveRequest request);

  Future<NEResult<NERoomLiveInfo?>> getLiveInfo();

  Future<VoidResult> addLiveStreamTask(NERoomLiveStreamTaskInfo taskInfo);

  Future<VoidResult> updateLiveStreamTask(NERoomLiveStreamTaskInfo taskInfo);

  Future<VoidResult> removeLiveStreamTask(String taskID);
}
