# NERoomkit
网易云信 NERoom SDK 以房间为基础，提供网易云信全系列能力，包括即时消息、音视频通话、直播、互动白板等，并提供易接入、强扩展、高效部署且覆盖多场景的服务。NERoom 通过组件与 UI kit，助力您快速搭建业务场景，例如多人语聊房、秀场直播、电商直播、在线教育、企业培训、活动直播等。

## 产品概述

NERoom 基于网易云信在 IM 即时通讯、音视频通话等领域多年的客户积累与业务沉淀，为您提供高效、低成本的能力接入。

NERoom 提供典型业务场景的模板。场景模板包括多人语聊房、秀场直播、电商直播、在线教育、企业培训、活动直播等。助您快速搭建业务场景，极速上线业务 App。

NERoom 提供即时消息、音视频通话、互动白板、麦位管理、角色管理等模块，您可根据模块按需选择业务能力，实现积木式的功能组装，让房间灵活可变形。通过可视化界面配置，快速开通相关能力，降低集成难度、提升接入效率。

NERoom 还开放各类标准接口和扩展能力，您可基于标准接口对接第三方厂商或自有业务系统，扩展自有业务所需功能，真正实现业务的全面发展。


## 产品架构

NERoom 的产品架构如下图所示。

![NERoom架构.png](https://yx-web-nosdn.netease.im/common/bccbb5ea7928cf5820ec3d2156030124/NERoom架构.png)

- **能力层**

  底层采用网易云信 PaaS 能力和通用能力。PaaS 能力包括 IM、RTC、直播、点播、互动白板等。通用能力包括日志、信令、抄送、长链接通道、透传等。
- **框架层**
    - 通过 room 框架和房间配套项的结合，生成业务组件，例如 PK 直播组件、直播连麦组件、语聊房麦位组件、KTV 组件、权限管理组件等。业务组件可以在代码中单独使用。
    - 根据不同业务场景，提供通用的场景模板，场景模板中包含了该场景用到的业务组件。根据场景模板可以直接生成该场景对应的 SDK。
    - 业务组件和场景模板包括业务逻辑和 UI kit。
- **业务层**

  您可以根据场景模板生成的 Demo，快速搭建业务 App。也可以通过修改逻辑、UI 和搭配的组件，进行个性化定制。